Nebulous Pumpkin Moons

    babel-plugin-transform-strict-mode

    6.24.1 • Public • Published

    babel-plugin-transform-strict-mode

    This plugin places a "use strict"; directive at the top of all files to enable strict mode.

    This plugin may be enabled via babel-plugin-transform-es2015-modules-commonjs. If you wish to disable it you can either turn strict off or pass strictMode: false as an option to the commonjs transform.

    Example

    In

    foo();

    Out

    "use strict";
     
    foo();

    Installation

    npm install --save-dev babel-plugin-transform-strict-mode

    Usage

    Via .babelrc (Recommended)

    .babelrc

    Without options:

    {
      "plugins": ["transform-strict-mode"]
    }

    With options:

    {
      "plugins": [
        ["transform-strict-mode", {
          "strict": true
        }]
      ]
    }

    Via CLI

    babel --plugins transform-strict-mode script.js

    Via Node API

    require("babel-core").transform("code", {
      plugins: ["transform-strict-mode"]
    });

    Keywords

    Install

    npm i babel-plugin-transform-strict-mode

    DownloadsWeekly Downloads

    2,057,946

    Version

    6.24.1

    License

    MIT

    Last publish

    Collaborators

    • hzoo
    • loganfsmyth
    • existentialism